/*===============

Beth - Mobile-First Responsive Menu;

=================*/

/* Some stylesheet reset */
#navdiv, #navdiv ul {
	list-style: none;
	margin: 0;
	padding: 0;
	z-index: 1000;
}

#navdiv #toggleMenu, #navdiv #hideMenu {
	display: none;
}

/* The main navigation bar */
#navdiv {
	position: relative;
	display: block;
	height: 44px;
	width: 100%; /* The menu will take the width of its container */
	border-radius: 3px;
	/* background: #9DCC4F;  */
	line-height: 20px;
}

#navdiv>li {
	display: block;
	float: left;
	position: relative;
}

/* The main navigation links */
#navdiv>li>a {
	/* Layout */
	display: block;
	padding-top: 12px;
	padding-right: 44px;
	padding-left: 0px;
	padding-bottom: 12px;
	/* border-color: #b8d9ea; */

	/* Typography */
	font-family: "Open Sans", Helvetica, Arial, sans-serif;
	font-size: 15px;
	font-weight: 600;
	color: #fff;
	/* text-transform: uppercase; */
	text-decoration: none;
	text-shadow: 1px 1px 1px #222; 
}

.lastnav {
	float: right !important;
	padding-right: 0px !important;
	text-align: right !important;
	margin-right: -44px;
}

/* The hover state of the links */
#navdiv>li:hover>a {
	color: #999; 
	/* border-top-color: #fff; */
	text-shadow: none;
}

#navdiv>li.dropdown>a {
	padding-right: 28px;
}

/* The arrow indicating a dropdown menu */
.dropdown>a::after {
	position: absolute;
	display: block;
	content: "";
	height: 0;
	width: 0;
	border: 4px solid transparent;
	border-top-color: inherit;
	right: 11px;
	top: 21px;
}

/*  The submenus */
#navdiv ul {
	display: block;
	position: absolute;
	top: 44px;
	left: -9999px;
	opacity: 0;
	background: #ccc;
	cursor: pointer;
 /* border-top: 1px solid #FFFFFF;    */
	border-bottom-left-radius: 3px;
	border-bottom-right-radius: 3px;
	-webkit-transition: opacity .22s ease-in;
	-ms-transition: opacity .22s ease-in;
	-moz-transition: opacity .22s ease-in;
	-o-transition: opacity .22s ease-in;
	transition: opacity .22s ease-in;
}

#navdiv ul li {
	display: block;
	position: absolute;
	height: 0px;
	-webkit-transition: height .15s ease-in;
	-ms-transition: height .15s ease-in;
	-moz-transition: height .15s ease-in;
	-o-transition: height .15s ease-in;
	transition: height .15s ease-in;
 	border-top: 1px solid #FFFFFF; 
}

/* The submenu appears when its parent is hovered */
#navdiv>li:hover>ul {
	left: 0px;
	opacity: 1;
}

#navdiv li:hover>ul>li {
	position: relative;
	height: 40px;
}

/* The submenu links */
#navdiv ul li a {
	/* Layout */
	display: block;
	padding: 10px 15px 10px 25px;
	width: 180px;

	/* Typography */
	font-family: "Open Sans", sans-serif;
	font-size: 14px;
	text-decoration: none;
	color: #fff;
	font-weight: 600;
	
	/* Background & effects */
	background: #DB7918;
	-webkit-transition: color .2s ease-in, border-left-color .2s ease-in;;
	-ms-transition: color .2s ease-in, border-left-color .2s ease-in;;
	-moz-transition: color .2s ease-in, border-left-color .2s ease-in;;
	-o-transition: color .2s ease-in, border-left-color .2s ease-in;;
	transition: color .2s ease-in, border-left-color .2s ease-in;;
}

/* Rounded corners for the last submenu link */
#navdiv ul>li:last-child>a {
	border-bottom-left-radius: 3px;
	border-bottom-right-radius: 3px;
}

/* Changing the link color on hover */
#navdiv ul li:hover>a {
 	color: #000; 
	opacity: 0.9;
}

.nav ul ul {
	display: none;
}

/* Styling for mobile devices */
@media screen and (max-width: 768px) {
	#navdiv {
		width: 100%;
		max-width: 768px;
		height: auto;
		background: #333;
	}
	.navholder {
		color: #FF7F00 !important;
	}

	#navdiv li {
		float: none;
		padding: 0 10px;
		display: none;
	}

	#navdiv>li>a {
		padding: 8px 10px;
	}
	
	.lastnav {
	float: none !important;
	text-align: left !important;
	margin-right: auto;
	padding-bottom: 10px !important;
}

	.dropdown>a::after {
		display: none;
	}

	#navdiv ul {
		position: relative;
		top: 0px;
		left: 0px;
		right: auto;
		opacity: 1;
		clear: both;
	}

	#navdiv ul li, #navdiv>li:hover>ul>li {
		height: auto;
		position: relative;
		border: 0px;

	}
	
	#navdiv>li>a {
	text-shadow: none; 
	}

	#navdiv ul li a {
		padding: 5px 10px;
		width: auto;
	}

	#navdiv #toggleMenu {
		display: block;
	}

	#navdiv #toggleMenu>a, #navdiv #hideMenu>a {
		padding: 13px 10px;
		z-index: 999;
	}

	#navdiv:target li {
		display: block;
	}

	#navdiv:target #toggleMenu {
		display: none;
	}

	#navdiv:target #hideMenu {
		display: block;
		background: rgba(0, 0, 0, .13);
		border-top-left-radius: 3px;
		border-top-right-radius: 3px;
	}

	#navdiv #hideMenu>a {
		color: #fff;
	}

	#toggleMenu>a::after, #hideMenu>a::after {
		position: absolute;
		content: "";
		right: 20px;
		top: 16px;
		height: 3px;
		width: 20px;
		border-top: 2px solid #fff;
		border-bottom: 2px solid #fff;
		z-index: 1;
	}

	#toggleMenu>a::before, #hideMenu>a::before {
		position: absolute;
		content: "";
		right: 20px;
		top: 23px;
		height: 3px;
		width: 20px;
		border-bottom: 2px solid #fff;
		z-index: 1;
	}

	#hideMenu>a::after, #hideMenu>a::before {
		border-color: #fff;
	}

}